### Method

# Gimp ValueArray insert

since: 2.10

#### Declaration [src]

    GimpValueArray*
    gimp_value_array_insert (
      GimpValueArray* value_array,
      gint index,
      const GValue* value
    )

#### Description [src]

Insert a copy of `value` at specified position into `value_array`. If `value` is `NULL`, an uninitialized value is inserted.

Available since: 2.10

#### Parameters

`index`

  Type: `gint`

  Insertion position, must be <= `gimp_value_array_length()`

`value`

  Type: `GValue`

  `GValue` to copy into `GimpValueArray`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GimpValueArray`

The `GimpValueArray` passed in as `value_array`.

The data is owned by the instance.